> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Operation Status

> Gets the status of a SetPerformance or SetStorageRetention operation.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| InsightsManagementGetOperationStatusInvalidParameter | 1488 |
| InsightsManagementOperationNotFound | 1483 |




## OpenAPI

````yaml /services/playfab/api-references/rest/insights/insights.openapi.json post /Insights/GetOperationStatus
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Insights API
  description: Manage the Insights performance level and data storage retention settings.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Analytics
    description: Analytics APIs
paths:
  /Insights/GetOperationStatus:
    post:
      tags:
        - Analytics
      summary: Get Operation Status
      description: |
        Gets the status of a SetPerformance or SetStorageRetention operation.

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | InsightsManagementGetOperationStatusInvalidParameter | 1488 |
        | InsightsManagementOperationNotFound | 1483 |
      operationId: GetOperationStatus
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InsightsGetOperationStatusRequest'
        description: Returns the current status for the requested operation id.
      responses:
        '200':
          $ref: '#/components/responses/InsightsGetOperationStatusResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    InsightsGetOperationStatusRequest:
      description: Returns the current status for the requested operation id.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        OperationId:
          description: Id of the Insights operation.
          type: string
      example:
        OperationId: 3ee468c4-ad09-4bb1-bccf-209ef5abfb96
    InsightsGetOperationStatusResponse:
      type: object
      properties:
        Message:
          description: Optional message related to the operation details.
          type: string
        OperationCompletedTime:
          description: Time the operation was completed.
          type: string
        OperationId:
          description: Id of the Insights operation.
          type: string
        OperationLastUpdated:
          description: Time the operation status was last updated.
          type: string
        OperationStartedTime:
          description: Time the operation started.
          type: string
        OperationType:
          description: The type of operation, SetPerformance or SetStorageRetention.
          type: string
        OperationValue:
          description: The value requested for the operation.
          type: number
          x-actualtype: int32
        Status:
          description: Current status of the operation.
          type: string
      required:
        - OperationValue
        - OperationStartedTime
        - OperationLastUpdated
        - OperationCompletedTime
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    InsightsGetOperationStatusResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/InsightsGetOperationStatusResponse'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Get Operation Status](/services/playfab/api-references/rest/insights/analytics/get-operation-status.md)
- [Get Inventory Operation Status](/services/playfab/api-references/rest/economy/inventory/get-inventory-operation-status.md)
- [PFInventoryGetInventoryOperationStatusAsync](/services/playfab/api-references/c/pfinventory/functions/pfinventorygetinventoryoperationstatusasync.md)
- [PFInventoryGetInventoryOperationStatusRequest](/services/playfab/api-references/c/pfinventorytypes/structs/pfinventorygetinventoryoperationstatusrequest.md)
- [Get Pending Operations](/services/playfab/api-references/rest/insights/analytics/get-pending-operations.md)
